Create a password reset token
Creates a token, valid for 30 minutes, that only allows setting the password of the user with
Reset a password. Authenticate with an API key that has
permission for POST /tokens/password-reset/. Ends the active tokens and trusted devices of the user.
apiKeyAuthorizationBasic <token>HTTP Basic authentication with your API key or the id of a token as the username and an empty password.
application/json- body
email*stringThe email address of the user.
The password reset token. Its id is the credential for the reset.
application/json- response
id?stringThe token. Send it as the username of HTTP Basic authentication.
created?stringdate-timemerchant_id?stringuuidaccount_id?stringThe ID of the user.
uuidemail?stringlegal_name?stringexpiration?stringWhen the token expires, unless it's used before.
date-timeexpiration_period?stringHow long the token lasts after its last use, as an ISO 8601 duration.
status?string"active""inactive""invalid""expired"permissions?Path permissions, see Permissions.
field_permissions?The field permissions of the user, when it has any.
allowed_project_ids?array<string>The projects the user may read.
trusted_token?stringThe new trusted token, when you sent generate_trusted_token or trusted_token.
curl -X POST 'https://api.example.com/v1/tokens/password-reset/' \ --user "$API_KEY:" \ -H 'Content-Type: application/json' \ -d '{ "email": "ops@example.com"}'{ "id": "5ca1ab1e5ca1ab1e5ca1ab1e5ca1ab1e", "created": "2026-08-29T14:47:01.739+00:00", "merchant_id": "b09a6915-71f8-4597-986e-c431d37a09b8", "account_id": "845c16de-f627-48cb-bc81-a6b3b1fb134b", "email": "ops@example.com", "legal_name": "Example user", "expiration": "2026-08-29T15:17:01.739+00:00", "expiration_period": "PT30M", "status": "active", "permissions": { "/merchants/self/users/self/password/": { "POST": true } }}